[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageReplications;
    localvar={
	.headers="Nom d'h\u00f4te";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="H\u00f4tes de duplication";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="Nom d'h\u00f4te";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .ipaddress.space=20;
  .port.space=60;
  .field.height=30;
  .label.left.size=60;
  .label.size=75;

  .out.enabled="Activer la transmission sortante";
  .out.send = "Envoyer : ";
  .out.discussiongroups = "Groupes de discussion : ";
  .out.items=["Tous les groupes de discussion","Aucun groupe de discussion","Groupes de discussion sp\u00e9cifi\u00e9s","Tous sauf les groupes de discussion sp\u00e9cifi\u00e9s"];
  .out.internalhost = "D\u00e9signer l'h\u00f4te distant en tant qu'h\u00f4te interne";
  .conn.host="Nom d'h\u00f4te distant :";
  .conn.domain="Domaine :";
  .conn.ip="Adresse IP :";
  .conn.port="Port :";
  .conn.maxreaders="Nombre max. d'utilisateurs :";
  .conn.maxfeeds="Nombre max. de transmissions :";
  .conn.timeout="D\u00e9lai d'attente :";
  .conn.user="Utilisateur du serveur :";
  .conn.port="Port du serveur distant :";
  .conn.port.userdefine = "Utiliser ce port :";
  .conn.port.default = "Utiliser le port 119 (le m\u00eame que ce serveur)";
  .conn.ssl = "Param\u00e8tres SSL de la connexion sortante :";
  .conn.ssl.ofserver = "Utiliser les param\u00e8tres SSL de ce serveur";
  .conn.ssl.remotessl = "Le serveur distant utilise le protocole SSL";
  .conn.ssl.remotenossl = "Le serveur distant n'utilise pas le protocole SSL";
  .conn.replica="D\u00e9signer l'h\u00f4te distant comme r\u00e9plique synchronis\u00e9e";
  .conn.replicavalue=false;

  .in.active = "Activer la transmission entrante";
  .in.newgroup = "Accepter les articles de contr\u00f4le de nouveau groupe pour les groupes : ";
  .in.newgroup.action = "Lorsque des articles de contr\u00f4le de nouveau groupe se pr\u00e9sentent : ";
  .in.newgroup.choices = ["Cr\u00e9er un groupe", "Envoyer un message \u00e0 l'administrateur","Consigner dans le journal","Ignorer" ];
  .in.rmgroup = "Accepter les articles de contr\u00f4le de nouveau groupe pour les groupes : ";
  .in.rmgroup.action = "Lorsque des articles de contr\u00f4le de nouveau groupe se pr\u00e9sentent : ";
  .in.rmgroup.choices = ["Cr\u00e9er un groupe", "Envoyer un message \u00e0 l'administrateur","Consigner dans le journal","Ignorer" ];


  .rest.title=[titled, "Restrictions de connexion"];
  .rest.require.login="Authentifier les utilisateurs \u00e0 la connexion";
  .rest.hcl.enable="Activer les restrictions des h\u00f4tes";
  .rest.hcl.table.perm.header="Droits";
  .rest.hcl.table.patt.header="Mod\u00e8le d'h\u00f4te";
  .rest.hcl.perm.labels=["Autoriser", "Refuser"];
  .rest.hcl.perm.items=["+", "-"];

  .service.nntp.service.user=nsnews;
  .service.nntp.network.servername="andy.mcom.com";
  .service.nntp.network.domain="mcom.com";
  .service.nntp.network.port=119;
  .service.nntp.network.maxreaders=50;
  .service.nntp.network.maxfeeds=10;
  .service.nntp.network.timeout=240;
  .service.nntp.network.dohostcontrol="vrai";
  .service.nntp.network.requirelogin="vrai";
  .service.nntp.network.ipaddress="";
  .service.nntp.network.accepthosts=
  [
    ["+", "*.mcom.com"],
    ["+", "*.netscape.com"],
    ["-", "*.microsoft.com"]
  ];
};

content=
[
  { /* Hostname panel */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* host name label */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.conn.host;
            id=connhost;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* host name textfield */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$hostname;
          } /* End name textfield */
        ]
      }
    ]
  }, /* End Hostname Panel */
  { /* seperated component space */
    ctrl=vstrut;
    size=$.g.comp.space.sep;
  },
  {
    ctrl=togglepane;
    text=$.conn.replica;
    val=$replica;
    modeinverse=true;
    content =
    [
      { /* start of Outgoing settings frame */
        ctrl=togglepane;
        text=$.out.enabled;
        val=$outgoing;
        /*ctrl=pane;
        border=$.conn.title;*/
        content=
        [ /* start of conn. settings contents */

          { /* pane containing seperated left and right input fields */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* pane containing seperated left and right input fields */

              { /* input fields that are on the left */
                ctrl=pane;
                layout=[ybox];
                content=
                [ /* contents in left input fields */

                  { /* Start of Send: Combo boxe */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of host name */
                      { /* Send label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.send;
                        id=connhost;
                        label=hostname;
                      }, /* host name label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Send discussion group choice */
                        ctrl=choice;
                        items = $.out.items;
                        aligny=0.5;
                        label=hostname;
                        val=$sendtype;
                      } /* Send discussion group choice */
                    ] /* host name contents */
                  }, /* End of hostname field */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Domain */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of Discussion group regular expression text field */
                      { /* Discussion groups */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.discussiongroups;
                        id=conndomain;
                        label=domain;
                      }, /* Domain label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Discussion group regular expression textfield */
                        ctrl=text;
                        aligny=0.5;
                        label=domain;
                        val=$sendpattype;
                      } /* Discussion group regular expression textfield */
                    ] /* Discussion group contents */
                  }, /* End of Discussion group */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Feed Port */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of port */
                      { /* port label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.conn.port;
                        id=connip;
                        label=ipaddress;
                      }, /* port label */
                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */
                      {
                        ctrl=text;
                        aligny=0.5;
                        label=outgoingport;
                        val=$outport;
                      }
                     ]
                  },
                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  { /* SSL Settings */
                    ctrl=choice;
                    style=radio;
                    items=["Utiliser les param\u00e8tres SSL de ce serveur","Le serveur distant utilise le protocole SSL","Le serveur distant n'utilise pas le protocole SSL"];
                    /*labels=["Utiliser les param\u00e8tres SSL de ce serveur","Le serveur distant utilise le protocole SSL","Le serveur distant n'utilise pas le protocole SSL"];*/
                    val=$ssl;
                  },
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  {
                    ctrl=togglepane;
                    text=$.out.internalhost;
                    val=$internal;
                  }
                ] /* contents in left input fields */
              } /* input fields that are on the left */

            ] /* pane containing seperated left and right input fields */
          } /* pane containing seperated left and right input fields */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */
      { /* seperated component space */
        ctrl=vstrut;
        size=$.g.comp.space.sep;
      },
      { /* Start of incoming settings */
        ctrl=togglepane;
        text=$.in.active;
        val=$incoming;
        content=
        [ /* newgroup control article */
          {
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* newgroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$newgrouppat;
                  } /* newgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup.action;
                    val=$.service.nntp.network.requirelogin;
                  }, /* When newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When newgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.newgroup.choices;
                    val=$newgroupaction;
                  } /* newgroup textbox */
                ]
              }

            ]
          },
          { /* rmgroup contents */
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* rmroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$rmgrouppat;
                  } /* rmgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup.action;
                    val=$rmgroupaction;
                  }, /* When rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When rmgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.rmgroup.choices;
                    val=$.service.nntp.network.dohostcontrol;
                  } /* rmgroup textbox */
                ]
              }

            ]
          }

        ] /* restrictions group contents */
      } /* End of connection restrictions group */

    ] /* END OF TOGGLE REPLICA PANEL */
  }

]; /* network panel contents */

} /* network panel spec */
]
